/* 
 * dfpsrc.h: sample header file for plug-in
 */

#ifndef __GST_DFPSRC_H__
#define __GST_DFPSRC_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_DFPSRC \
  (gst_gst_dfpsrc_get_type())
#define GST_DFPSRC(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_DFPSRC,GstDfpSrc))
#define GST_DFPSRC_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_DFPSRC,GstDfpSrc))
#define GST_IS_DFPSRC(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_DFPSRC))
#define GST_IS_DFPSRC_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_DFPSRC))

typedef struct _GstDfpSrc      GstDfpSrc;
typedef struct _GstDfpSrcClass GstDfpSrcClass;

struct _GstDfpSrc
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;
};

struct _GstDfpSrcClass 
{
  GstElementClass parent_class;
};

GType gst_gst_dfpsrc_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_DFPSRC_H__ */
