/* 
 * audio2data.h: sample header file for plug-in
 */

#ifndef __GST_AUDIO2DATA_H__
#define __GST_AUDIO2DATA_H__

#include <gst/gst.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* #define's don't like whitespacey bits */
#define GST_TYPE_AUDIO2DATA \
  (gst_gst_audio2data_get_type())
#define GST_AUDIO2DATA(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_AUDIO2DATA,GstAudio2Data))
#define GST_AUDIO2DATA_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_AUDIO2DATA,GstAudio2Data))
#define GST_IS_AUDIO2DATA(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_AUDIO2DATA))
#define GST_IS_AUDIO2DATA_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_AUDIO2DATA))

typedef struct _GstAudio2Data      GstAudio2Data;
typedef struct _GstAudio2DataClass GstAudio2DataClass;

struct _GstAudio2Data
{
  GstElement element;

  GstPad *sinkpad, *srcpad;

  gboolean silent;
};

struct _GstAudio2DataClass 
{
  GstElementClass parent_class;
};

GType gst_gst_audio2data_get_type (void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GST_AUDIO2DATA_H__ */
